package com.muyu.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.common.core.domain.Result;
import com.muyu.domain.EngineMaintenance;
import com.muyu.req.EngineMaintenanceQueryReq;
import com.muyu.req.EngineVersionListResp;

import java.util.List;

/**
 * @Author：qdm
 * @Package：com.muyu.service
 * @Project：cloud-etl-engine
 * @name：EngIneService
 * @Date：2024/8/22 15:37
 */
public interface EngIneService extends IService<EngineMaintenance> {
    List<EngineMaintenance> list( );

    Result delete(Integer id);

    Result<EngineMaintenance> updateMsg(EngineMaintenance engineMaintenance);

    Result<EngineMaintenance> insert(EngineMaintenance engineMaintenance);

    EngineVersionListResp getRuleEngineInfo(Long id);

    void forbiddenEngine(Long id);

    void onEngine(Long id);

    void closeEngine(Long id);

    void activateEngine(Long id);
}
